petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatNorm

Calculates various norms of a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNorm(Mat mat,NormType type,PetscReal *nrm)

Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| type | - the type of norm, NORM_1, NORM_FROBENIUS, NORM_INFINITY Many br

### Output Parameters

nrm -the resulting norm Many br

Many br

Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex14.c.html
src/tao/bound/examples/tutorials/jbearing2.c.html